<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>IMGLIB: Package Contents</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="tilogo.gif"></a></td>
  <td bgcolor="red"><img src="titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul></div>
<h1><a class="anchor" name="install">Package Contents</a></h1><a href="index.html" style="color: #ff0000;">Back</a><p>
<div></div><p>
<div>&nbsp;</div><p>
Unless otherwise specified, the IMGLIB package installs under <code>C:\Program Files\Texas Instruments\</code> in directory <code> imglib_c64Px_3_1_1_0</code>. The directory structure of the installed package will look similar to that displayed below in Figure 1, though the install folder will match the installation version.<p>
<table rules="none" frame="void" cellspacing="0" cellpadding="0" border="1">
<tr>
<td><div align="center">
<img src="imglib_c64P_directory.jpg" alt="imglib_c64P_directory.jpg">
<p><strong>Figure 1. c64x+ IMGLIB Directory Structure</strong></p></div>
 <p>
</td></tr>
</table>
<p>
The files that comprise the IMGLIB installation can be categorized into the following seven categories.<p>
<ol type=1>
<li>Documentation</li><li>Component Repository</li><li>Kernel Source</li><li>Include Directory</li><li>Library Directory</li><li>Eclipse Support</li><li>Internal Meta Data</li></ol>
<p>
The sections that follow provide details for each category.<p>
<div></div><p>
<div>&nbsp;</div><h2><a class="anchor" name="documents">
Documentation</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>Installation places all IMGLIB documentation in a <code><b>Docs</b> directory</code> in the IMGLIB root. The following documentation comes with the delivery:<p>
<ul>
<li>IMGLIB_Users_Manual.chm (this document, CHM format)</li><li>IMGLIB_Users_Manual.html (this document, HTML format)</li><li><a href="../../../imglib_3_1_1_0_release_notes.html" target="_blank">Release Notes</a></li><li><a href="../../IMGLIB_Software_Manifest.html" target="_blank">Software Manifest</a></li><li><a href="../../IMGLib_c64Px_TestReport.html" target="_blank">Cycle Benchmarks</a> </li></ul>
</td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="repository">
Component Repository</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The installation creates a <code><b>Components</b> directory</code> in the IMGLIB root folder. This directory serves as a repository for all packages included in the IMGLIB installation. Each package in this repository is compressed. </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="kernelsrc">
Kernel Source</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The installation also creates a <code><b>Packages</b> directory</code> in the IMGLIB root folder. This directory holds all kernels contained within the IMGLIB library. This directory follows the standard TI directory structure. As an example, the files that comprise the IMGLIB kernel <code><b>IMG_conv_3x3_i16s_c16s</b> will</code> be located, relative to the IMGLIB root installation directory, at <code>packages/ti/imglib/src/IMG_conv_3x3_i16s_c16s/</code>.<p>
Each Kernel is delivered with a pre-compiled CCS project that illustrates the kernel API and performs several validation tests. Each project provides an estimate of kernel cycle and program memory requirements. </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="includedir">
Include Directory</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The <code><b>Include</b> directory</code> contains the main API header file for IMGLIB. </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="librarydir">
Library Directory</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The <code><b>Library</b> directory</code> will contain all libraries required to integrate IMGLIB into a system.<p>
<table align="left" rules="all" frame="box" cellspacing="2" cellpadding="2" frame="void" width="60%" border="1">
<caption align="bottom">IMGLIB Library Naming Convention</caption>
<tr align="center" bgcolor="#cccccc">
<th>Library Name </th><th>Target </th><th>Object type </th><th>Endianess <p>
</th></tr>
<tr align="center">
<td>imglib.a64P </td><td>C64x+ DSP </td><td>COFF </td><td>Little  </td></tr>
<tr align="center">
<td>imglib.ae64P </td><td>C64x+ DSP </td><td>ELF </td><td>Little <p>
</td></tr>
</table>
</td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="eclipsedir">
Eclipse Support</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The <code><b>Eclipse</b> directory</code> contains all files required for IMGLIB to be recognized by Eclipse (CCS) as a plug-in. This is a support directory and can be safely ignored. </td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="metadata">
Internal Meta Data</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The IMGLIB installation creates a <code><b>Package</b> directory</code>. This directory contains meta information required by the TI packaging tools. This is a support directory and can be safely ignored. </td></tr>
</table>
</div><p>
<div>&nbsp;</div> <hr size="1"><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
